# DataExchange
TKVRML
Vrml

# Vrml_Cylinder Class Reference

defines a Cylinder node of VRML specifying geometry shapes.
This node represents a simple capped cylinder centred around the y-axis.
By default , the cylinder is centred at (0,0,0)
and has size of -1 to +1 in the all three dimensions.
The cylinder has three parts:
the sides, the top (y=+1) and the bottom (y=-1)

`#include <Vrml_Cylinder.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Vrml_Cylinder (const Vrml_CylinderParts aParts=Vrml_CylinderALL, const Standard_Real aRadius=1, const Standard_Real aHeight=2)
Standard_EXPORT void | SetParts (const Vrml_CylinderParts aParts)
Standard_EXPORT Vrml_CylinderParts | Parts () const
Standard_EXPORT void | SetRadius (const Standard_Real aRadius)
Standard_EXPORT Standard_Real | Radius () const
Standard_EXPORT void | SetHeight (const Standard_Real aHeight)
Standard_EXPORT Standard_Real | Height () const
Standard_EXPORT Standard_OStream & | Print (Standard_OStream &anOStream) const

## Private Attributes

Vrml_CylinderParts | myParts
Standard_Real | myRadius
Standard_Real | myHeight

## Constructor & Destructor Documentation

Standard_EXPORT Vrml_Cylinder::Vrml_Cylinder | ( | const Vrml_CylinderParts | aParts = `Vrml_CylinderALL`,
|  | const Standard_Real | aRadius = `1`,
|  | const Standard_Real | aHeight = `2`
| ) |

## Member Function Documentation

Standard_EXPORT Standard_Real Vrml_Cylinder::Height | ( |  | ) | const

void Vrml_Cylinder::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Vrml_Cylinder::operator new | ( | size_t | size | ) | `[inline]`

void* Vrml_Cylinder::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Vrml_CylinderParts Vrml_Cylinder::Parts | ( |  | ) | const

Standard_EXPORT Standard_OStream& Vrml_Cylinder::Print | ( | Standard_OStream & | anOStream | ) | const

Standard_EXPORT Standard_Real Vrml_Cylinder::Radius | ( |  | ) | const

Standard_EXPORT void Vrml_Cylinder::SetHeight | ( | const Standard_Real | aHeight | ) |

Standard_EXPORT void Vrml_Cylinder::SetParts | ( | const Vrml_CylinderParts | aParts | ) |

Standard_EXPORT void Vrml_Cylinder::SetRadius | ( | const Standard_Real | aRadius | ) |

## Field Documentation

Standard_Real Vrml_Cylinder::myHeight `[private]`

Vrml_CylinderParts Vrml_Cylinder::myParts `[private]`

Standard_Real Vrml_Cylinder::myRadius `[private]`

The documentation for this class was generated from the following file:

- Vrml_Cylinder.hxx